#' obistools: Data Enhancement and Quality Control of Marine Species Observations
#'
#' Prepare data sets for submission to the Ocean Biogeographical Information System (<https://obis.org>). It can also be used for checking the quality of a set of marine species distribution records.
#'
#' @docType package
#' @name obistools
#' @import dplyr
#' @import ggplot2
#' @import sp
#' @importFrom rgeos gDistance
#' @importFrom rgeos readWKT
#' @importFrom leaflet leaflet
#' @importFrom leaflet addProviderTiles
#' @importFrom leaflet addCircleMarkers
#' @importFrom stringr str_match
#' @importFrom stringr str_split
#' @importFrom geosphere distm
#' @import rmarkdown
#' @import knitr
#' @import xml2
#' @import tidyr
#' @import data.tree
#' @import digest
#' @importFrom stats complete.cases
#' @importFrom stats na.omit
NULL
