% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/check_outliers.R
\name{check_outliers_dataset}
\alias{check_outliers_dataset}
\title{Check which points are spatial dataset outliers.}
\usage{
check_outliers_dataset(data, report = FALSE, mad_coef = 6, iqr_coef =

  3)
}
\arguments{
\item{data}{The data frame with decimalLongitude and decimalLatitude columns.}

\item{report}{If TRUE, errors are returned instead of records.}

\item{mad_coef}{Coefficient to multiply the median absolute deviation (MAD)
by in order to determine the range of valid values. Default is \code{6}.}

\item{iqr_coef}{Coefficient to multiply the interquartile range (IQR) by in
order to determine the range of valid values. Default values is \code{3}.}
}
\value{
Problematic records or an errors report.
}
\description{
Check which points are spatial dataset outliers.
}
\examples{
\dontrun{
ok <- check_outliers_dataset(abra, report = FALSE)
print(nrow(ok))
r <- check_outliers_dataset(abra, report = TRUE, mad_coef = 3, iqr_coef = 1.5)
print(r)
plot_map_leaflet(abra[r$row,], popup = "id")
plot_outliers(r)
}
}
\seealso{
\code{\link{plot_outliers}} \code{\link{check_outliers_species}}
  \code{\link{check_onland}} \code{\link{check_depth}}
}
